cURL
curl --request GET \
--url https://api.invopop.com/sequence/v1/series/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/sequence/v1/series/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/sequence/v1/series/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"name": "string",
"description": "string",
"code": "string",
"prefix": "string",
"padding": 0,
"suffix": "string",
"sigs": ["string"]
}
Series
Fetch a series
Fetch an existing series given its UUID.
GET
/
sequence
/
v1
/
series
/
{id}
cURL
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2023-01-25T08:04:14.245Z",
"updated_at": "2023-01-25T08:04:14.245Z",
"name": "string",
"description": "string",
"code": "string",
"prefix": "string",
"padding": 0,
"suffix": "string",
"sigs": ["string"]
}
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Path Parameters
UUID of the series to fetch
Response
200 - application/json
OK
A code that can be used to identify the series.
Example:
"SALES-2020"
The date and time the series was created.
Example:
"2020-10-01T00:00:00Z"
A description of the series.
Example:
"This series is used for sales."
The UUID (any version) of the series.
Example:
"a8904315-3d16-4a95-91c1-30d6cdde553e"
The name of the series.
Example:
"My Series"
The number of 0s to pad the generated codes with.
Example:
5
A prefix that will be prepended to all entries.
Example:
"INV-"
A suffix that will be appended to all entries.
Example:
"-F1"
The date and time the series was last updated.
Example:
"2020-10-01T00:00:00Z"
Was this page helpful?